#include "../../Macros/MoveMacros.hpp"
using Stats = PkmnLib::Library::Statistic;

TEST_CASE("Acrobatics - doubles base power when no held item", "[moves]") {
    SETUP_MOVE_TEST(Acrobatics)

    uint8_t basePower = 40;
    script->OverrideBasePower(executingMove, userMon, 0, &basePower);
    REQUIRE(basePower == 80);

    CLEANUP_MOVE_TEST
}

TEST_CASE("Acrobatics - doesn't overflow", "[moves]") {
    SETUP_MOVE_TEST(Acrobatics)

    uint8_t basePower = 200;
    script->OverrideBasePower(executingMove, userMon, 0, &basePower);
    REQUIRE(basePower == 255);

    CLEANUP_MOVE_TEST
}

TEST_CASE("Acrobatics - doesn't double base power when no held item", "[moves]") {
    SETUP_MOVE_TEST(Acrobatics)

    userMon->SetHeldItem("poke_ball"_cnc.GetHash());
    uint8_t basePower = 40;
    script->OverrideBasePower(executingMove, userMon, 0, &basePower);
    REQUIRE(basePower == 40);

    CLEANUP_MOVE_TEST
}
